> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update available check origins configuration

> Creates or updates the available check origins configuration for a specific entity (employee or company)



## OpenAPI

````yaml PUT /core/v3/configurations/available-check-origin
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /core/v3/configurations/available-check-origin:
    put:
      tags:
        - Configurations
      summary: Create or update available check origins configuration
      description: >-
        Creates or updates the available check origins configuration for a
        specific entity (employee or company)
      operationId: createOrUpdateAvailableCheckOrigins
      requestBody:
        description: Available check origins configuration
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                entityReference:
                  type: object
                  description: Reference to the entity (employee or company)
                  properties:
                    id:
                      type: string
                      format: uuid
                      description: Entity ID
                    type:
                      type: string
                      enum:
                        - employee
                        - company
                      description: Entity type
                  required:
                    - id
                    - type
                availableCheckOrigins:
                  type: array
                  description: List of allowed check origins
                  items:
                    type: string
                    enum:
                      - web
                      - mobile
                      - wall
                      - watch
                  example:
                    - web
                    - mobile
                    - wall
                    - watch
              required:
                - entityReference
                - availableCheckOrigins
      responses:
        '204':
          description: No Content
          content: {}
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````